#!/usr/bin/env bash

curdir=$(pwd)
tmptar=$(mktemp)
tmpdir=$(mktemp -d)
trap "rm -rf '$tmptar'" exit;
trap "rm -rf '$tmpdir'" exit;
curl -L "https://code.call-cc.org/egg-tarballs/5/$1/$1-$2.tar.gz" > $tmptar
cd $tmpdir
tar xzf $tmptar
cat $1-$2/$1.egg
echo "\"$(guix hash $tmptar)\""
